Open Lighting Architecture: ola::rdm::PidStoreLoader Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::rdm::PidStoreLoader Class Reference

## Detailed Description

The PidStore Loader

## Public Member Functions
const RootPidStore * | LoadFromFile (const std::string &file, bool validate=true)
| Load PID information from a file.
const RootPidStore * | LoadFromDirectory (const std::string &directory, bool validate=true)
| Load PID information from a directory, including overrides.
const RootPidStore * | LoadFromStream (std::istream *data, bool validate=true)
| Load Pid information from a stream.
template<typename descriptor_class>
const FieldDescriptor * | IntegerFieldToFieldDescriptor (const ola::rdm::pid::Field &field)

## Member Function Documentation

## ◆ LoadFromDirectory()

const RootPidStore * ola::rdm::PidStoreLoader::LoadFromDirectory | ( | const std::string & | directory,
|  | bool | validate = true )

Load PID information from a directory, including overrides.

Parameters

  directory | the directory to load files from.
  validate | set to true if we should perform validation of the contents.

Returns
  A pointer to a new RootPidStore or NULL if loading failed.

This is an all-or-nothing load. Any error with cause us to abort the load.

## ◆ LoadFromFile()

const RootPidStore * ola::rdm::PidStoreLoader::LoadFromFile | ( | const std::string & | file,
|  | bool | validate = true )

Load PID information from a file.

Parameters

  file | the path to the file to load
  validate | set to true if we should perform validation of the contents.

Returns
  A pointer to a new RootPidStore or NULL if loading failed.

## ◆ LoadFromStream()

const RootPidStore * ola::rdm::PidStoreLoader::LoadFromStream | ( | std::istream * | data,
|  | bool | validate = true )

Load Pid information from a stream.

Parameters

  data | the input stream.
  validate | set to true if we should perform validation of the contents.

Returns
  A pointer to a new RootPidStore or NULL if loading failed.

The documentation for this class was generated from the following files:

- common/rdm/PidStoreLoader.h
- common/rdm/PidStoreLoader.cpp